    001package org.apache.commons.ssl.asn1;
    002
    003import java.io.IOException;
    004
    005public class DEROctetString
    006    extends ASN1OctetString {
    007    /** @param string the octets making up the octet string. */
    008    public DEROctetString(
    009        byte[] string) {
    010        super(string);
    011    }
    012
    013    public DEROctetString(
    014        DEREncodable obj) {
    015        super(obj);
    016    }
    017
    018    void encode(
    019        DEROutputStream out)
    020        throws IOException {
    021        out.writeEncoded(OCTET_STRING, string);
    022    }
    023}